
import netscape.plugin.Plugin;

class FestivalPlugin extends Plugin {
  private native void feval(String sexp);

  // escape any double quotes in the text to keep scheme happy
  private String escape(String text)
    {
      int i;
      StringBuffer etext;

      etext = new StringBuffer(text);

      for(i=0; i<etext.length(); i++)
	  if (etext.charAt(i) == '"')
	    {
	      etext.insert(i, "\\");
	      i +=2;
	    }

      return etext.toString();
    }

  public void say(String text)
    {
      feval("(SayText \"" + escape(text) + "\")");
    }

  public void voice(String voice)
    {
      feval("(voice_" + voice + ")");
    }
  public void intonation(String int_method)
    {
      feval("(Parameter.set 'Int_Method '" + int_method + ")");
    }
}
